Audio Details
curl --request GET \
--url https://api.agntdata.dev/v1/data/youtube/audio/details \
--header 'Authorization: <api-key>'import requests
url = "https://api.agntdata.dev/v1/data/youtube/audio/details"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.agntdata.dev/v1/data/youtube/audio/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"audio_id": "8gVbCk4SPwoLeXo4TlN2bUFhRHcSC3l6OE5Tdm1BYUR3Ggt4bl9ob1RQS0pzUSIKEggIOxDA_4zNAyoKEggIOxDA_4zNAxoLeG5faG9UUEtKc1EogZKBocKFmYSVAQ==",
"name": "Funny Song",
"channel_id": "UC-CVdJgfx0kxQb-h_BKtJkA",
"channel_name": "Funny Song Studio, Sounds Reel",
"number_of_videos": 24000000,
"thumbnails": [
{
"url": "https://lh3.googleusercontent.com/izlDmsiYlL0NU7IXV_7wfSXrejwvBPfcu1kuPVCxv5RIAHGUYjWb932JVnSeWOzr0tr_-fSv-LF_auMf6w",
"width": 1500,
"height": 1500
}
]
}{
"detail": [
{
"loc": [],
"msg": "",
"type": ""
}
]
}Audio
Audio Details
This endpoint get available details about a given audio
GET
/
v1
/
data
/
youtube
/
audio
/
details
Audio Details
Authorizations
Bearer token. Pass your agntdata API key as: Authorization: Bearer agnt_live_...
Query Parameters
audio_id
string
default:8gVbCk4SPwoLeXo4TlN2bUFhRHcSC3l6OE5Tdm1BYUR3Ggt4bl9ob1RQS0pzUSIKEggIOxDA_4zNAyoKEggIOxDA_4zNAxoLeG5faG9UUEtKc1EogZKBocKFmYSVAQ==
required
⌘I